System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.IList System.Runtime.InteropServices.ComVisible(true)

is read-only; it does not implement methods that add or remove events. You must inherit from this class to implement these methods.

Using the properties available in the class, you can query the collection about its contents. Use the property to determine the number of elements in the collection. Use the property to get a specific property by index number or by name.

You can also use the method to get a description of the event with the specified name from the collection.

Represents a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  If the parameter is empty, this constructor creates an empty class.

  The attribute applied to this member has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Initializes a new instance of the class with the given array of objects.

  An array of type that provides the events for this collection.
- Constructor
  2.0.0.0
  4.0.0.0

  If the parameter is empty, this constructor creates an empty class.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Initializes a new instance of the class with the given array of objects. The collection is optionally read-only.

  An array of type that provides the events for this collection.
  true to specify a read-only collection; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Adds an to the end of the collection.

  The position of the within the collection.

  An to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Removes all objects from the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Returns whether the collection contains the given .

  true if the collection contains the parameter given; otherwise, false.

  The to find within the collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The property can be used to set the limits of a loop that iterates through a collection of objects. If the collection is zero-based, be sure to use Count - 1 as the upper boundary of the loop.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets the number of event descriptors in the collection.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection To be added

  Specifies an empty collection to use, rather than creating a new one with no items. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptor `` ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets the description of the event with the specified name in the collection.

  The with the specified name, or null if the event does not exist.

  The name of the event to get from the collection. true if you want to ignore the case of the event; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets an enumerator for this .

  An enumerator that implements .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Returns the index of the given .

  The index of the given within the collection.

  The to find within the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Inserts an to the collection at a specified index.

  The index within the collection in which to insert the parameter. An to insert into the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'Collections.IComparer'

  If the parameter is null, the default sort order is used.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Sorts the members of this , using the specified .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'string []'

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Sorts the members of this . The specified order is applied first, followed by the default sort for this collection, which is usually alphabetical.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptor `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptor `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Removes the specified from the collection.

  The to remove from the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Removes the at the specified index from the collection.

  The index of the to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Sorts the members of this , using the default sort for this collection, which is usually alphabetical.

  The new .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection ``

  The specified is applied first, followed by the default sort for this collection, which is usually alphabetical.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Sorts the members of this , using the specified .

  The new .

  An to use to sort the objects in this collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection `` To be added: an object of type 'string []'

  The specified order is applied first, followed by the default sort for this collection, which is usually alphabetical.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Sorts the members of this , given a specified sort order.

  The new .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection `` `` To be added.

  The specified sort order is applied first, followed by the sort using the specified .

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Sorts the members of this , given a specified sort order and an .

  The new .

  An to use to sort the objects in this collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Copies the elements of the collection to an , starting at a particular index.

  The one-dimensional that is the destination of the elements copied from collection. The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets the number of elements contained in the collection.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets a value indicating whether access to the collection is synchronized.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets an object that can be used to synchronize access to the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Returns an enumerator that iterates through a collection.

  An that can be used to iterate through the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Adds an item to the collection.

  The position into which the new element was inserted.

  The to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Removes all the items from the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Determines whether the collection contains a specific value.

  true if the is found in the collection; otherwise, false.

  The to locate in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Determines the index of a specific item in the collection.

  The index of if found in the list; otherwise, -1.

  The to locate in the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Inserts an item to the collection at the specified index.

  The zero-based index at which should be inserted. The to insert into the collection.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets a value indicating whether the collection has a fixed size.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Gets a value indicating whether the collection is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Removes the first occurrence of a specific object from the collection.

  The to remove from the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The attribute applied to this class has the following property value: . The does not affect desktop applications (which are typically started by double-clicking an icon, typing a command, or entering a URL in a browser). For more information, see the class or SQL Server Programming and Host Protection Attributes.

  Removes the item at the specified index.

  The zero-based index of the item to remove.